Ask Your Question
1

Sage 9.5 fails to start just after an installation

asked 2022-11-24 14:15:21 +0200

michal gravatar image

updated 2022-11-26 13:12:49 +0200

slelievre gravatar image

I have operating system Linux Lite 6.2 based on Ubuntu. I installed Sage from windows package manager Synaptic available through Xfce menu.

When at the terminal prompt I run sage, Sage starts with info

SageMath version 9.5, Release Date: 2022-01-30
Using Python 3.10.6. Type "help()" for help.

But suddenly follows some Python warnings, like

/usr/bin/python3(+0x23d9fd)[0x55b08278a9fd]
/usr/bin/python3(+0x15cdc9)[0x55b0826a9dc9]
/usr/bin/python3(_PyEval_EvalFrameDefault+0x289f)[0x55b08269484f]
/usr/bin/python3(_PyFunction_Vectorcall+0x7c)[0x55b0826a9b6c]

Plenty of similar stuff and Sage start crashes with text:

#248 0x00007fda0c267dc0 in __libc_start_main_impl () at ./csu/../csu/libc-start.c:392
#249 0x000055b082777a90 in _start ()

[Inferior 1 (process 3907) detached]
30  ../sysdeps/unix/sysv/linux/wait4.c: Adresár alebo súbor neexistuje.
Saved trace to /home/michal/.sage/crash_logs/crash_ikxir8ce.log
------------------------------------------------------------------------
Unhandled SIGILL: An illegal instruction occurred.
This probably occurred because a *compiled* module has a bug
in it and is not properly wrapped with sig_on(), sig_off().
Python will now terminate.

I use Slovak localization, and "adresár alebo súbor neexistuje" translates as "no file or folder" or as "file or directory does not exist".

I do not know where the problem is and what to do to make Sage work. I cannot upload here the above mentioned file crash_ikxir8ce.log because I need more than 60 points to be allowed to do so.

edit retag flag offensive close merge delete

Comments

You can use https://pastebin.com/ to share your logs.

Max Alekseyev gravatar imageMax Alekseyev ( 2022-11-24 18:58:05 +0200 )edit

3 Answers

Sort by » oldest newest most voted
0

answered 2024-02-11 19:55:13 +0200

Conda solves too !

edit flag offensive delete link more
1

answered 2023-03-24 18:40:00 +0200

michal gravatar image

I followed instructions from page https://sagemanifolds.obspm.fr/install_ubuntu.html and I built sage from sources and it works. A compilation lasted several hours but at last all works.

edit flag offensive delete link more

Comments

Congratulations! I turned your comment into an answer. You can accept it if you visit Ask Sage again. This will mark the question as solved.

slelievre gravatar imageslelievre ( 2023-05-03 20:26:18 +0200 )edit
0

answered 2022-11-26 13:14:20 +0200

slelievre gravatar image

updated 2022-11-26 13:18:22 +0200

As a workaround, you could install Sage via Conda.

For that, follow the instructions at

That installation method will get you a newer version of Sage: currently (2022-11-26) this gets you Sage 9.7 rather than Sage 9.5.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2022-11-24 14:11:54 +0200

Seen: 151 times

Last updated: Nov 26 '22